/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}
curl --request GET \
--url https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"realmId": "<string>",
"organizationId": "<string>",
"accountId": "<string>",
"environment": "LIVE",
"external": {
"balanceAccountGroupId": "<string>",
"accountNumber": 123,
"accountDigit": 123,
"branch": "<string>",
"accountRequestId": "<string>",
"checkingAccountId": "<string>",
"accountType": "PREPAID",
"productId": "<string>"
},
"currency": "784",
"customFields": "<unknown>",
"status": "PENDING",
"role": "DEFAULT",
"type": "PERSONAL",
"name": "<string>",
"shared": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"role": "OWNER"
}
],
"settings": {
"payment": {
"pix": true,
"bankSlip": true,
"card": true
},
"notification": {
"balanceLimit": {
"amount": 123,
"email": true,
"isActive": true
}
}
},
"createdBy": "<string>",
"updatedBy": "<string>",
"totalBalance": 123,
"balances": [
{
"category": "FLEX_NATIONAL",
"amount": 123
}
],
"walletProduct": "<string>",
"isSuper": true
}Wallets
/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}
GET
/
realms
/
{realmId}
/
organizations
/
{organizationId}
/
accounts
/
{accountId}
/
wallets
/
{walletId}
/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Successful response
Available options:
LIVE, TEST Show child attributes
Show child attributes
Available options:
784, 971, 008, 051, 973, 032, 036, 533, 944, 977, 052, 050, 048, 108, 060, 096, 068, 984, 986, 044, 064, 072, 933, 084, 124, 976, 947, 756, 948, 990, 152, 156, 170, 970, 188, 192, 132, 203, 262, 208, 214, 012, 818, 232, 230, 978, 242, 238, 826, 981, 936, 292, 270, 324, 320, 328, 344, 340, 332, 348, 360, 376, 356, 368, 364, 352, 388, 400, 392, 404, 417, 116, 174, 408, 410, 414, 136, 398, 418, 422, 144, 430, 426, 434, 504, 498, 969, 807, 104, 496, 446, 929, 480, 462, 454, 484, 979, 458, 943, 516, 566, 558, 578, 524, 554, 512, 590, 604, 598, 608, 586, 985, 600, 634, 946, 941, 643, 646, 682, 090, 690, 938, 752, 702, 654, 925, 706, 968, 728, 930, 222, 760, 748, 764, 972, 934, 788, 776, 949, 780, 901, 834, 980, 800, 840, 997, 940, 858, 927, 860, 926, 928, 704, 548, 882, 396, 950, 961, 959, 955, 956, 957, 958, 951, 532, 960, 952, 964, 953, 962, 994, 963, 965, 999, 886, 710, 967, 924 Available options:
PENDING, ACTIVE, CANCELLING, CANCELLED, BLOCKED, REPROVED, FRAUD_ANALYSIS, FRAUD_CONFIRMED Available options:
DEFAULT, CHECKING Available options:
PERSONAL, SHARED, ORGANIZATION, VEHICLE Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes